<mat-toolbar >
    <span>
        <span class="spacing-extended">
          <mat-icon >person</mat-icon> Clientes/Personal 
      </span>
            <button mat-button mat-raised-button (click)="refresh()">
                <mat-icon>refresh</mat-icon>
            </button>
    </span>
    <span class="spacing"></span>
    <span>
        <new-user-component (addedUserEvent)="newUser($event)"></new-user-component>
    </span>
</mat-toolbar>



    <mat-card>
        <mat-form-field appearance="standard" floatLabel="always">
            <mat-label>Filtro</mat-label>
            <input matInput (keyup)="applyFilter($event)" placeholder="Escriba un nombre, apellido, o plan" #input>
        </mat-form-field>
    </mat-card>
  
<div class="mat-elevation-z8">  
  <table mat-table matSort [dataSource]="dataSource" class="mat-elevation-z8">

    <ng-container matColumnDef="id">
      <th mat-header-cell mat-sort-header *matHeaderCellDef> No. </th>
      <td mat-cell *matCellDef="let element"> {{element.id}} </td>
    </ng-container>
  
    <ng-container matColumnDef="name">
      <th mat-header-cell mat-sort-header *matHeaderCellDef> Nombre </th>
      <td mat-cell *matCellDef="let element"> {{element.name}} </td>
    </ng-container>
  
    <ng-container matColumnDef="lastname">
      <th mat-header-cell mat-sort-header *matHeaderCellDef> Apellidos </th>
      <td mat-cell *matCellDef="let element"> {{element.lastname}} </td>
    </ng-container>
  
    <ng-container matColumnDef="contact">
        <th mat-header-cell mat-sort-header *matHeaderCellDef> Contacto </th>
        <td mat-cell *matCellDef="let element">  
            <div class="date contact">
                <div>
                    <mat-icon [inline]="true">email</mat-icon> {{ (element.email) ? element.email : 'sin email' }} 
                </div>  
                <div>
                    <mat-icon [inline]="true">phone</mat-icon> {{(element.phone) ? element.phone : 'sin teléfono'}} 
                </div> 
            </div>   
        </td>
      </ng-container>

    <ng-container matColumnDef="plan">
        <th mat-header-cell mat-sort-header *matHeaderCellDef> Plan/Rol </th>
        <td mat-cell *matCellDef="let element"> {{element.planName}} </td>
      </ng-container>
  
    <ng-container matColumnDef="planStartDate">
        <th mat-header-cell mat-sort-header *matHeaderCellDef> Comienzo Plan </th>
        <td mat-cell *matCellDef="let element"> {{dateOnly(element.planStartDate)}}</td>
      </ng-container>
 
    <ng-container matColumnDef="planEndDate">
        <th mat-header-cell mat-sort-header *matHeaderCellDef> Término Plan </th>
        <td mat-cell *matCellDef="let element"> 
            <div class="date" [class.bad-entry]="!goodEntry(element.planEndDate)">
                {{dateOnly(element.planEndDate)}} 
            </div>             
        </td>
      </ng-container>
    
    <ng-container matColumnDef="actions">
        <th mat-header-cell *matHeaderCellDef> Acciones </th>
        <td mat-cell *matCellDef="let element">
            <row-action-componnet
                (deleteEmitter)="deleteUser(element)"
                (editEmitter)="editUser(element)"
                (fingerEmitter)="manualUserEntry(element.id)"
            ></row-action-componnet>
        </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  
    <!-- Row shown when there is no matching data. -->
    <tr class="mat-row" *matNoDataRow>
      <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
    </tr>

  </table>
  
    <mat-paginator [pageSizeOptions]="[5, 10, 20, 50 , 100]"
        showFirstLastButtons 
        aria-label="Objetos por página">
    </mat-paginator>
</div>